cc.funkemunky.api.utils

## Class FunkeFile

- java.lang.Object
- - cc.funkemunky.api.utils.FunkeFile

    public class FunkeFile
    extends java.lang.Object

### Field Summary

Fields
`java.util.List<java.lang.String>` `lines`

### Constructor Summary

Constructors
Constructor and Description
`FunkeFile(java.io.File file)`
`FunkeFile(org.bukkit.plugin.Plugin Plugin, java.lang.String Path, java.lang.String Name)`
`FunkeFile(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLine(java.lang.String line)`
`void` `clear()`
`java.util.List<java.lang.String>` `getLines()`
`java.lang.String` `getName()`
`java.lang.String` `getText()`
`void` `readFile()`
`void` `write()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lines

    public java.util.List<java.lang.String> lines

### Constructor Detail

#### FunkeFile

    public FunkeFile(org.bukkit.plugin.Plugin Plugin,
                     java.lang.String Path,
                     java.lang.String Name)

#### FunkeFile

    public FunkeFile(java.lang.String name)

#### FunkeFile

    public FunkeFile(java.io.File file)

### Method Detail

#### clear

    public void clear()

#### addLine

    public void addLine(java.lang.String line)

#### write

    public void write()

#### readFile

    public void readFile()

#### getName

    public java.lang.String getName()

#### getText

    public java.lang.String getText()

#### getLines

    public java.util.List<java.lang.String> getLines()